> For the complete documentation index, see [llms.txt](https://docs.tracr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tracr.com/api-reference/introduction.md).

# Introduction

Tracr Search allows non-participants, for example, marketplaces, to search for a diamond or multiple diamonds across all of Tracr and return traceability data.

The Tracr Search API provides endpoints to search a single diamond in Tracr. Diamonds are returned anonymously.

A [bulk search API](/api-reference/references/tracr-xps-api-v1.md#post-v1-bulk-traceability-ancestry) endpoint is also available for restricted users only. This endpoint can search for a list of diamonds.

Please contact <support@tracr.com> for more details.

### What is Tracr?

Tracr is an advanced technology platform developed by De Beers Group to underpin trust in diamond provenance. Using leading-edge technologies, including blockchain, artificial intelligence, the internet of things and advanced security and privacy technologies, Tracr enables confidence in a diamond's source throughout the diamond value chain.

The Tracr platform combines distributed ledger technology with advanced data security and privacy, ensuring that participants control the use of and access to their own data. Each participant on Tracr has their own distributed version of the platform, meaning that their data can only be shared with their permission, and only they choose who can access their information. The advanced privacy technologies used by Tracr reinforce data security on the platform. The immutable nature of each transaction on the platform ensures that the data cannot be tampered with when the diamond progresses through the value chain.

The decentralised nature of the platform ensures its speed and scalability, with the ability to register one million diamonds a week onto the platform. With centralised platforms, dealing with large volumes of data can cause bottlenecks, but the decentralised model used by Tracr avoids such issues and enables rapid scaling.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tracr.com/api-reference/introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
